
Foreman - Bug #1704

Trying to edit a user results in oops: undefined method `compute_resources_andor' for

#<User:0x7fd85846a298> 

06/25/2012 10:29 AM - Andreas Ntaflos

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Our users authenticate against LDAP, but I don't know if that is of consequence here. Clicking on a user via More -> Users -> 

Username results in this trace:

NoMethodError

undefined method `compute_resources_andor' for #<User:0x7fd85846a298>

app/views/users/_filters.html.erb:19:in `_app_views_users__filters_html_erb__391429214_70283586378

320_2060268'

app/views/users/_filters.html.erb:17:in `_app_views_users__filters_html_erb__391429214_70283586378

320_2060268'

app/views/users/_form.html.erb:35:in `_app_views_users__form_html_erb__1026554175_70283586720960_1

228990'

app/helpers/layout_helper.rb:146:in `form_for'

app/views/users/_form.html.erb:1:in `_app_views_users__form_html_erb__1026554175_70283586720960_12

28990'

app/views/users/edit.html.erb:3:in `_app_views_users_edit_html_erb___2039060211_70283586730700_0'

 Using the Foreman develop branch as of 59be369d3651f86d372ff6777a5e8ec7e4b951a7 (Sun Jun 24 16:32:35 2012 +0300).

History

#1 - 06/25/2012 01:54 PM - Ohad Levy

- Status changed from New to Need more information

did you migrate your db?

#2 - 06/26/2012 12:11 AM - Andreas Ntaflos

Still feeling silly :) Running RAILS_ENV=production rake db:migrate fixed it, thanks. Same goes for issue #1705.

#3 - 06/28/2012 04:09 AM - Ohad Levy

- Status changed from Need more information to Resolved
